/* Classi base template Microsoft applicazione WASM */
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: absolute;
    display: block;
    width: 8rem;
    height: 8rem;
    inset: 20vh 0 auto 0;
    margin: 0 auto 0 auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.loading-completed .loading-progress circle {
    fill: #1b6ec2;
}

.loading-completed .loading-progress-text {
    color: white;
}

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}
/* END - Classi base */



/* Clssi base di Trend Flexy */
body {
    margin: 0;
    padding: 0;
}

:root {
    --tfx-toolsbar-bgcolor: #f0f0f0;
}

/* Barre di scorrimento sottili generalizzate */
* {
    scrollbar-width: thin !important;
}

.unselectable {
    -webkit-user-select: none !important;
    -khtml-user-select: none !important;
    -webkit-touch-callout: none !important;
    -moz-user-select: none !important;
    -o-user-select: none !important;
    user-select: none !important;
}

    .unselectable:focus {
        outline: none !important;
    }

.no-decorated-link {
    border: 0;
    padding: 0 !important;
    text-decoration: none !important;
}

.dxbl-tabs-item.unsaved:before {
    content: "\25CF"; /* pallino pieno standard */
    color: #c00;
    position: absolute;
    bottom: 0;
    right: 50%;
    font-size: 16px;
}

.dxbl-text-edit {
    border-top: 0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
    border-radius: 0 !important;
}

.dxbl-fl .dxbl-row {
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
}

.dxbl-fl-group {
    margin: 0 !important;
    padding: 0 !important;
    border: 0 !important;
}

.dxbl-group {
    border-radius: 0 !important;
    border-left-width: 0 !important;
    border-right-width: 0 !important;
    border-bottom-width: 0 !important;
}

.dxbl-group-body-content, .dxbl-group-header {
    border-radius: 10px !important;
}

.dxbl-grid-toolbar-container {
    padding: 0 !important;
    min-height: fit-content !important;
}

.dxbl-toolbar-item-tmpl .search-box {
    margin: 5px;
}

@media (min-width: 576px) {
    .dxbl-modal > .dxbl-modal-root > .dxbl-popup:not(.dxbl-popup-resized):not(.dxbl-popup-fixed-width) {
        max-width: 95% !important;
    }
}

.validation-summary-container {
    margin: 0;
    padding: 5px;
}

    .validation-summary-container.alert-danger {
        background-color: #ffdfe4;
    }

        .validation-summary-container.alert-danger li {
            color: #c00;
        }

    .validation-summary-container.alert-success {
        background-color: #dff0d8;
    }

        .validation-summary-container.alert-success li {
            color: #3c763d;
        }

.dxbl-grid-table td,
.dxbl-grid-table th {
    border-left-color: #eee !important;
    border-right-color: #eee !important;
}

/* 
   HACK: Questa scrollbar interna a DxGrid duplica quella del browser 
   che però funziona meglio poiché gestisce anche lo scroll da 
   rotellina del mouse e touch-scroll
   
    LEARN: Questa classe nasconde lo scroll del browser
      .dxbl-scroll-viewer-content {
          overflow: hidden !important;*/ /* Nasconde doppia barra di scorrimento in DxGrid
       }
*/

/* Nasconde la barra di scorrimento della lista delle schede (tablist) */
.dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content {
    overflow: hidden !important;
}

.dxbl-scroll-viewer > .dxbl-scroll-viewer-vert-scroll-bar {
    display: none !important;
}

/* Background color su input focus-within */
.dxbl-text-edit:focus-within {
    background-color: #e7eff9 !important;
}

/* Spaziatura tra button in una popup */
.dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content > .dxbl-modal-footer {
    gap: 0.5rem;
}

